Skip to main content

Revoke Token

Revokes token. Using the current token in the path, this endpoint updates the revoked_at field and revokes the token.

This request requires a client_id and client_secret in the header. Only admins can view, generate, and rotate credentials.

DELETE
/api/{version}/token/{token}

Path Parameters

FieldRequiredType

version

API version. Indicates which FDX version is in use. Default value = v4.

Required
String

token

Token to be revoked.

Required
String

Request sample

Language:shell

_10
curl -L -g -X DELETE 'http://{{baseurl}}/api/{{version}}/token/{{token}}' \
_10
-H 'Accept: application/json' \
_10
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:client_secret}'

Response sample

200
Language:json

_13
{
_13
"id": 1,
_13
"tokenable_id": 1,
_13
"tokenable_type": "Institution",
_13
"token": "GspYX0FhpSTJjBL5RIthHdVRxCjAGoOqOdnHP3g3uso",
_13
"expires_in": 300,
_13
"revoked_at": "2024-07-25T19:37:55.864Z",
_13
"scopes": {
_13
"customer.modify_consent": "f339c727-1378-44c9-e053-8462cc0a5b81"
_13
},
_13
"created_at": "2024-07-24T19:37:55.864Z",
_13
"updated_at": "2024-07-25T19:37:55.864Z"
_13
}